#ifndef WELCOMEWINDOW_H
#define WELCOMEWINDOW_H

#include <QWidget>
#include "create-chat.h"
#include "connect-window.h"

namespace Ui {
class WelcomeWindow;
}

class WelcomeWindow : public QWidget
{
    Q_OBJECT

public:
    explicit WelcomeWindow(QWidget *parent = nullptr);
    ~WelcomeWindow();

private slots:

    void on_createChatButton_clicked();

    void on_connectButton_clicked();

private:
    Ui::WelcomeWindow *ui;
    CreateChat createChat;
    ConnectWindow connectWindow;
};

#endif // WELCOMEWINDOW_H
